List earn lending actions
Returns a paginated list of lending actions (deposits and withdrawals) for the authenticated tenant.
GET
/
earn
/
actions
TypeScript
const response: Promise<FireblocksResponse<GetActionsResponse>> = fireblocks.earn.getEarnActions(earnApiGetEarnActionsRequest);CompletableFuture<ApiResponse<GetActionsResponse>> response = fireblocks.earn().getEarnActions(pageCursor, pageSize, sortBy, order);response = fireblocks.earn.get_earn_actions(page_cursor, page_size, sort_by, order);curl --request GET \
--url https://api.fireblocks.io/v1/earn/actionsconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/earn/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"vaultAccountId": "0",
"userId": "550e8400-e29b-41d4-a716-446655440000",
"status": "IN_PROGRESS",
"providerId": "MORPHO",
"actionType": "DEPOSIT",
"opportunityId": "morpho-usdc-vault-1",
"amount": "1500.5",
"createdAt": "2025-01-15T10:00:00Z",
"updatedAt": "2025-03-20T08:30:00Z",
"records": [
{
"actionType": "APPROVE",
"status": "COMPLETED",
"txId": "tx_abc123",
"txHash": "0xabc...",
"updatedAt": "2025-03-20T08:29:00Z"
}
]
}
],
"total": 1,
"next": "",
"prev": ""
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}{
"message": "<string>",
"code": 123
}Query Parameters
Cursor for the next or previous page of results.
Number of items per page (default 100, max 100).
Required range:
1 <= x <= 100Field to sort results by.
Available options:
createdAt, updatedAt Sort order (ASC or DESC).
Available options:
ASC, DESC Example:
"ASC"
Response
OK
Page of lending actions for this query.
Show child attributes
Show child attributes
Example:
[
{
"id": "660e8400-e29b-41d4-a716-446655440001",
"vaultAccountId": "0",
"userId": "550e8400-e29b-41d4-a716-446655440000",
"status": "IN_PROGRESS",
"providerId": "MORPHO",
"actionType": "DEPOSIT",
"opportunityId": "morpho-usdc-vault-1",
"amount": "1500.5",
"createdAt": "2025-01-15T10:00:00Z",
"updatedAt": "2025-03-20T08:30:00Z",
"records": [
{
"actionType": "APPROVE",
"status": "COMPLETED",
"txId": "tx_abc123",
"txHash": "0xabc...",
"updatedAt": "2025-03-20T08:29:00Z"
}
]
}
]
Total number of items matching the query.
Example:
1
Opaque cursor for the next page; empty when there is no next page.
Example:
""
Opaque cursor for the previous page; empty when there is no previous page.
Example:
""
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<GetActionsResponse>> = fireblocks.earn.getEarnActions(earnApiGetEarnActionsRequest);CompletableFuture<ApiResponse<GetActionsResponse>> response = fireblocks.earn().getEarnActions(pageCursor, pageSize, sortBy, order);response = fireblocks.earn.get_earn_actions(page_cursor, page_size, sort_by, order);